
package org.sky.scientific.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.sky.core.tenant.mp.TenantEntity;

import java.math.BigDecimal;

/**
 * 加计扣除研发支出辅助汇总表-其他事项 实体类
 *
 * @author Kd
 * @since 2025-06-19
 */
@Data
@TableName("kd_deduction_cost_qt")
 @EqualsAndHashCode(callSuper = true)
public class DeductionCostQt extends TenantEntity {

	@Schema(description = "所属年月，yyyyMM")
	private String yearAndMonth;

	@Schema(description = "人员人工费用")
	private BigDecimal ryrgfyQt = new BigDecimal("0.00");

	@Schema(description = "直接投入费用")
	private BigDecimal zjtrfyQt = new BigDecimal("0.00");

	@Schema(description = "折旧费用")
	private BigDecimal zjfyQt = new BigDecimal("0.00");

	@Schema(description = "无形资产摊销")
	private BigDecimal wxzctxQt = new BigDecimal("0.00");

	@Schema(description = "新产品设计费等")
	private BigDecimal xcpsjfdQt = new BigDecimal("0.00");


	@Schema(description = "其他相关费用合计")
	private BigDecimal qtxgfyhjQt = new BigDecimal("0.00");

	@Schema(description = "委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnjgfyQt = new BigDecimal("0.00");

	@Schema(description = "委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfyQt = new BigDecimal("0.00");

}
